pcl::OrganizedEdgeBase< PointT, PointLT >::Neighbor Struct Reference

`#include <pcl/features/organized_edge_detection.h>`

## Public Member Functions

| Neighbor (int dx, int dy, int didx)

## Public Attributes

int | d_x
int | d_y
int | d_index

## Detailed Description

### template<typename PointT, typename PointLT>
struct pcl::OrganizedEdgeBase< PointT, PointLT >::Neighbor

Definition at line 156 of file organized_edge_detection.h.

## Constructor & Destructor Documentation

## Neighbor()

template<typename PointT , typename PointLT >

pcl::OrganizedEdgeBase< PointT, PointLT >::Neighbor::Neighbor | ( | int | dx,
|  | int | dy,
|  | int | didx
| ) |  |

inline

Definition at line 158 of file organized_edge_detection.h.

## Member Data Documentation

## d_index

template<typename PointT , typename PointLT >

int pcl::OrganizedEdgeBase< PointT, PointLT >::Neighbor::d_index

Definition at line 166 of file organized_edge_detection.h.

Referenced by pcl::OrganizedEdgeBase< PointT, PointLT >::extractEdges().

## d_x

template<typename PointT , typename PointLT >

int pcl::OrganizedEdgeBase< PointT, PointLT >::Neighbor::d_x

Definition at line 164 of file organized_edge_detection.h.

Referenced by pcl::OrganizedEdgeBase< PointT, PointLT >::extractEdges().

## d_y

template<typename PointT , typename PointLT >

int pcl::OrganizedEdgeBase< PointT, PointLT >::Neighbor::d_y

Definition at line 165 of file organized_edge_detection.h.

Referenced by pcl::OrganizedEdgeBase< PointT, PointLT >::extractEdges().

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/features/include/pcl/features/organized_edge_detection.h